package de.fraunhofer.iem.dataprovider.gitlab

import de.fraunhofer.iem.dataprovider.git.GitService
import de.fraunhofer.iem.dataprovider.logger.getLogger
import org.eclipse.jgit.api.Git
import org.gitlab4j.api.GitLabApi
import org.springframework.stereotype.Service

@Service
class GitlabService(gitlabConfiguration: GitlabConfiguration, val gitService: GitService) {

    private val logger = getLogger(javaClass)
    private var gitlabApi = GitLabApi(gitlabConfiguration.host, gitlabConfiguration.accessToken)
    suspend fun queryRepo(repoId: Long) {
//        val project = gitlabApi.projectApi.getProject(repoId)
//        logger.info(project.toString())
//        val projectUri = project.sshUrlToRepo
        gitService.cloneGit()
    }

}